Bug 965819 - tito release fails with traceback
tito release fails with traceback
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tito (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 15:44 EDT by Jan Pazdziora
Modified: 2014-02-05 16:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:28:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-05-21 15:44:04 EDT
Description of problem:

Running tito release fails with

Releasing to target: koji
Working in: /tmp/spacewalk-build/release-spacewalk-backend-3d5bacc29272ae215bdf13f4d0426684e994ae24TY3h1g
Building release in Koji...
Traceback (most recent call last):
  File "/usr/bin/tito", line 23, in <module>
    CLI().main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 94, in main
    return module.main(argv)
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 638, in main
    scratch=self.options.scratch)
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 988, in release
    self._koji_release()
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 1077, in _koji_release
    KojiReleaser._koji_release(self)
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 1040, in _koji_release
    self._submit_build("koji", koji_opts, koji_tag, builder.srpm_location)
TypeError: _submit_build() takes exactly 4 arguments (5 given)

Version-Release number of selected component (if applicable):

0.4.12-1.fc18

How reproducible:

Deterministic.

Steps to Reproduce:
1. In Spacewalk git repo, backend/ directory run ONLY_TAGS='spacewalk-nightly-fedora18' tito release koji

Actual results:

$ ONLY_TAGS='spacewalk-nightly-fedora18' tito release koji
Will release to the following targets: koji
Checking for tag [spacewalk-backend-1.10.33-1] in git repo [ssh://git.fedorahosted.org/git/spacewalk.git/]
Releasing to target: koji
Working in: /tmp/spacewalk-build/release-spacewalk-backend-3d5bacc29272ae215bdf13f4d0426684e994ae24Xh9CMH
Building release in Koji...
Traceback (most recent call last):
  File "/usr/bin/tito", line 23, in <module>
    CLI().main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 94, in main
    return module.main(argv)
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 638, in main
    scratch=self.options.scratch)
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 988, in release
    self._koji_release()
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 1077, in _koji_release
    KojiReleaser._koji_release(self)
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 1040, in _koji_release
    self._submit_build("koji", koji_opts, koji_tag, builder.srpm_location)
TypeError: _submit_build() takes exactly 4 arguments (5 given)

Expected results:

$ ONLY_TAGS='spacewalk-nightly-fedora18' tito release koji
Will release to the following targets: koji
Checking for tag [spacewalk-backend-1.10.33-1] in git repo [ssh://git.fedorahosted.org/git/spacewalk.git/]
Releasing to target: koji
Working in: /tmp/spacewalk-build/release-spacewalk-backend-3d5bacc29272ae215bdf13f4d0426684e994ae247_oHRs
Building release in Koji...

Submitting build with: koji -c ~/.koji/spacewalkproject-config build --nowait spacewalk-nightly-fedora18 git://git.fedorahosted.org/git/spacewalk.git/#spacewalk-backend-1.10.33-1
Created task: 131565
Task info: http://koji.spacewalkproject.org/koji/taskinfo?taskID=131565

which is the result I get when I downgrade to 0.4.11-1.fc18 (or even older versions).

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 08:39:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:28:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.